Description: Fix convergence unit tests for py36
Author: rabi <ramishra@redhat.com>
Date: Tue, 20 Feb 2018 15:48:10 +0530
Change-Id: I90d68a9b35a1f23195b7153eba83f2bcd0ae6ef6
Closes-Bug: #1750252
Origin: upstream, https://review.openstack.org/#/c/546137/
Last-Update: 2018-02-20

diff --git a/heat/tests/test_convg_stack.py b/heat/tests/test_convg_stack.py
index 1d98503..191a7b3 100644
--- a/heat/tests/test_convg_stack.py
+++ b/heat/tests/test_convg_stack.py
@@ -65,7 +65,7 @@ class StackConvergenceCreateUpdateDeleteTest(common.HeatTestCase):
 
         self.assertTrue(stack_db.convergence)
         self.assertEqual({'edges': [[[1, True], None]]}, stack_db.current_deps)
-        leaves = stack.convergence_dependencies.leaves()
+        leaves = set(stack.convergence_dependencies.leaves())
         expected_calls = []
         for rsrc_id, is_update in sorted(leaves, key=lambda n: n.is_update):
             expected_calls.append(
@@ -121,7 +121,7 @@ class StackConvergenceCreateUpdateDeleteTest(common.HeatTestCase):
             self.assertIsNotNone(sync_point)
             self.assertEqual(stack_db.id, sync_point.stack_id)
 
-        leaves = stack.convergence_dependencies.leaves()
+        leaves = set(stack.convergence_dependencies.leaves())
         expected_calls = []
         for rsrc_id, is_update in sorted(leaves, key=lambda n: n.is_update):
             expected_calls.append(
@@ -261,7 +261,7 @@ class StackConvergenceCreateUpdateDeleteTest(common.HeatTestCase):
             self.assertIsNotNone(sync_point)
             self.assertEqual(stack_db.id, sync_point.stack_id)
 
-        leaves = stack.convergence_dependencies.leaves()
+        leaves = set(stack.convergence_dependencies.leaves())
         expected_calls = []
         for rsrc_id, is_update in sorted(leaves, key=lambda n: n.is_update):
             expected_calls.append(
@@ -344,7 +344,7 @@ class StackConvergenceCreateUpdateDeleteTest(common.HeatTestCase):
             self.assertIsNotNone(sync_point, 'entity %s' % entity_id)
             self.assertEqual(stack_db.id, sync_point.stack_id)
 
-        leaves = stack.convergence_dependencies.leaves()
+        leaves = set(stack.convergence_dependencies.leaves())
         expected_calls = []
         for rsrc_id, is_update in sorted(leaves, key=lambda n: n.is_update):
             expected_calls.append(
@@ -353,7 +353,7 @@ class StackConvergenceCreateUpdateDeleteTest(common.HeatTestCase):
                     {'input_data': {}},
                     is_update, None, False))
 
-        leaves = curr_stack.convergence_dependencies.leaves()
+        leaves = set(curr_stack.convergence_dependencies.leaves())
         for rsrc_id, is_update in sorted(leaves, key=lambda n: n.is_update):
             expected_calls.append(
                 mock.call.worker_client.WorkerClient.check_resource(
-- 
cgit v1.1

